import React from 'react';
import { connect } from 'dva';
import { Button, Card, Radio } from 'antd';
import { routerRedux } from 'dva/router';
import styles from './index.less';

const Register = ({ dispatch, register, loading }) => {
  const { disagree } = register;

  const domain = 'register';

  const RadioGroup = Radio.Group;

  const prev = () => {
    dispatch(routerRedux.push(`/login`));
  };

  const next = () => {
    dispatch({
      type: `${domain}/addCurrent`,
    });
  };

  const onChange = (e) => {
    if (e.target.value === 1) {
      dispatch({
        type: `${domain}/updateState`,
        payload: {
          disagree: true,
        },
      });
    } else if (e.target.value === 0) {
      dispatch({
        type: `${domain}/updateState`,
        payload: {
          disagree: false,
        },
      });
    }
  }


  return (
    <div>

      <Card id="notice">
        <p>在您开始注册之前，请先阅读以下条款，并同意向广州市麦点九毛九餐饮连锁有限公司（下称“九毛九公司”）作出如下承诺：<br />
<br />
第一条、无论任何时候，本公司（承诺方，下同）绝不向贵公司（九毛九公司，下同）任何工作人员进行任何形式的商业贿赂（包括但不限于给予回扣、红包、购物卡、节日礼品、馈赠、佣金、有价证券、实物或其他形式的利益等），不向贵公司任何人员提供借款（借款视同回扣），亦不会实施（包括与贵公司人员合谋实施）任何有损于贵公司利益的行为。<br />
<br />
第二条、无论任何时候，本公司绝不提供通讯、交通等任何方便条件为贵公司工作人员办私事，绝不以低价出售任何物品给贵公司任何工作人员等手段变相贿赂贵公司工作人员。<br />
<br />
第三条、无论任何时候，本公司绝不向贵公司任何工作人员提供宴请、联谊活动、度假、旅游、以及到营业性娱乐场所（包括但不限于营业性的歌厅、舞厅、夜总会、健身、桑拿、高尔夫球等）消费。<br />
<br />
第四条、无论任何时候，本公司绝不为贵公司任何工作人员安排工作，以及支付应由其个人自付的各种费用（包括但不限于住房装修、婚丧嫁娶、旅游、度假、食宿、购物、学费、子女出国留学等）。<br />
<br />
第五条、无论任何时候，本公司绝不接受贵公司任何工作人员介绍其配偶子女或亲属朋友从事与贵公司有关的产品、设备或原材料供应等经济活动。<br />
<br />
第六条、本公司如发现贵公司任何工作人员有任何不廉洁行为倾向的，保证及时提醒纠正并及时向贵公司的监管部门（以贵公司提供的负责部门、联系人、电话、指定邮箱为准）举报。<br />
<br />
第七条、本公司在与贵公司发生任何业务往来的过程中，保证不会有弄虚作假、或以次充好、或虚结虚算等违反诚信原则的任何违约行为。<br />
<br />
<br />
承诺方与九毛九公司特别约定：<br />
<br />
1、九毛九公司指定的举报邮箱为：zhangxiangyu@jiumaojiu.com<br />
<br />
2、举报电话为：(张翔宇 13424089116)（短信方式）<br />
<br />
3、如承诺方违反上述承诺书的任何一条承诺条款，均视为承诺方严重违约，承诺方应赔偿由此给九毛九公司造成的一切经济损失(包括但不限于九毛九公司为实现债权而产生的诉讼费、律师费、保全费、执行费、公证费、调查取证费等费用)，同时，承诺方自愿放弃要求九毛九公司支付其全部剩余货款的权利，以弥补其违约行为给九毛九公司造成的经济损失。
<br />

        </p>
        <br />
        <br />

        <RadioGroup name="radiogroup" defaultValue={1} onChange={onChange}>
          <Radio value={0}>同意</Radio>
          <Radio value={1}>不同意</Radio>
        </RadioGroup>
      </Card>

      <div className={styles.registerButton} >
        <Button onClick={prev}> 返回 </Button>
        <Button style={{ marginLeft: 8 }} type="primary" onClick={next} disabled={disagree}>下一步</Button>
      </div>
    </div>
  );
};

export default connect(({ register, loading }) => ({ register, loading }))(Register);
